<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron">

    <ns uri="http://www.w3.org/1999/xhtml" prefix="html"/>
    <ns uri="http://www.idpf.org/2007/ops" prefix="epub"/>

    <pattern id="nav-ocurrence">
        <rule context="html:body">
            <assert test="count(.//html:nav[@epub:type='toc']) = 1">epub:type が 'toc' の nav 要素を必ず一つ(一つだけ)、書かなくてはなりません。</assert>
            <assert test="count(.//html:nav[@epub:type='page-list']) &lt; 2">epub:type が 'page-list' の nav 要素が複数あります。</assert>
            <assert test="count(.//html:nav[@epub:type='landmarks']) &lt; 2">epub:type が 'landmarks' の nav 要素が複数あります。</assert>
        </rule>
    </pattern>

    <pattern id="span-no-sublist">
        <rule context="html:body//html:nav//html:span">
            <assert test="count(.//ol) = 0"> span 要素はフラットなリストになった見出しのためにのみ使用すべきです(階層的ナビゲーション構造のために使用してはいけません)。</assert>
        </rule>
    </pattern>

    <pattern id="landmarks">
        <rule context="html:nav[@epub:type='landmarks']//html:ol//html:a">
            <assert test="@epub:type">epub:type が 'landmarks' の nav 要素内のアンカー要素に epub:type 属性が指定されていません。</assert>
        </rule>
    </pattern>

    <pattern id="link-labels">
        <rule context="html:nav//html:ol//html:a">
            <assert test="string-length(normalize-space(string(.))) &gt; 0">nav 要素内のアンカーにはテキストが含まれなくてはなりません。</assert>
        </rule>
    </pattern>

    <pattern id="span-labels">
        <rule context="html:nav//html:ol//html:span">
            <assert test="string-length(normalize-space(string(.))) &gt; 0">nav 要素内の span 要素にはテキストが含まれなくてはなりません。</assert>
        </rule>
    </pattern>

    <pattern id="req-heading">
        <rule context="html:nav[not(@epub:type = 'toc') and not (@epub:type = 'page-list') and not (@epub:type = 'landmarks')]">
            <let name="fc" value="local-name(./*[1])"/>
            <assert test="(starts-with($fc,'h') and string-length($fc) = 2) or ($fc = 'hgroup')">type が 'toc', 'page-list', 'landmarks' 以外の nav 要素は、最初の子要素として見出し要素(h1 要素等)を含まなくてはなりません。</assert>
        </rule>
    </pattern>

    <pattern id="heading-content">
        <rule context="html:h1|html:h2|html:h3|html:h4|html:h5|html:h6|html:hgroup">
            <assert test="string-length(normalize-space(string(.))) &gt; 0">見出し要素(h1 要素等)にはテキストが含まれなくてはなりません。</assert>
        </rule>
    </pattern>


    <!-- warnings mode <pattern id="page-list-flat">
        <rule context="html:body//html:nav[@epub:type='page-list']">
        <assert test="count(.//html:ol) = 1">The page-list navigation structure should be a
        list, not a nested hierarchy</assert>
        </rule>
        </pattern> 
    -->

</schema>