<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
                        
    <ns uri="http://www.w3.org/1999/xhtml" prefix="h"/>
    <ns uri="http://www.idpf.org/2007/ops" prefix="epub"/>
    <ns uri="http://www.w3.org/1998/Math/MathML" prefix="math"/>
    <ns uri="http://www.w3.org/2001/10/synthesis" prefix="ssml"/>
    <ns uri="http://www.w3.org/2001/xml-events" prefix="ev"/>
    <ns uri="http://www.w3.org/2000/svg" prefix="svg"/>
    
    <let name="id-set" value="//*[@id]"/>
    
    <pattern id="ancestor-area-map">
        <rule context="h:area">            
            <assert test="ancestor::h:map"><value-of select="replace('h:area','h:','')"/> 要素の祖先要素には <value-of select="replace('h:map','h:','')"/> 要素がなくてはなりません。</assert>
        </rule>
    </pattern>

    <pattern id="ancestor-imgismap-ahref">
        <rule context="h:img[@ismap]">            
            <assert test="ancestor::h:a[@href]"><value-of select="replace('h:img[@ismap]','h:','')"/> 要素の祖先要素には <value-of select="replace('h:a[@href]','h:','')"/> 要素がなくてはなりません。</assert>
        </rule>
    </pattern>
    
    <pattern id="descendant-a-interactive">
        <rule context="h:a|h:audio[@controls]|h:button|h:details|h:embed|h:iframe|h:img[@usemap]|h:input[not(@type='hidden')]             |h:keygen|h:label|h:menu[@type='toolbar']|h:object[@usemap]|h:select|h:textarea|h:video[@controls]">
            <report test="ancestor::h:a"><name/> 要素は、<value-of select="local-name(ancestor::h:a)"/> 要素内に書いてはいけません。</report>            
        </rule>
    </pattern>
    
    <pattern id="descendant-button-interactive">
        <rule context="h:a|h:audio[@controls]|h:button|h:details|h:embed|h:iframe|h:img[@usemap]|h:input[not(@type='hidden')]             |h:keygen|h:label|h:menu[@type='toolbar']|h:object[@usemap]|h:select|h:textarea|h:video[@controls]">
            <report test="ancestor::h:button"><name/> 要素は、<value-of select="local-name(ancestor::h:button)"/> 要素内に書いてはいけません。</report>            
        </rule>
    </pattern>
    
    <pattern id="descendant-audio-audio">
        <rule context="h:audio">
            <report test="ancestor::h:audio"><name/> 要素は、<value-of select="local-name(ancestor::h:audio)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-audio-video">
        <rule context="h:video">
            <report test="ancestor::h:audio"><name/> 要素は、<value-of select="local-name(ancestor::h:audio)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-video-video">
        <rule context="h:video">
            <report test="ancestor::h:video"><name/> 要素は、<value-of select="local-name(ancestor::h:video)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-video-audio">
        <rule context="h:audio">
            <report test="ancestor::h:video"><name/> 要素は、<value-of select="local-name(ancestor::h:video)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-address-address">
        <rule context="h:address">
            <report test="ancestor::h:address"><name/> 要素は、<value-of select="local-name(ancestor::h:address)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-address-header">
        <rule context="h:header">
            <report test="ancestor::h:address"><name/> 要素は、<value-of select="local-name(ancestor::h:address)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-address-footer">
        <rule context="h:footer">
            <report test="ancestor::h:address"><name/> 要素は、<value-of select="local-name(ancestor::h:address)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-form-form">
        <rule context="h:form">
            <report test="ancestor::h:form"><name/> 要素は、<value-of select="local-name(ancestor::h:form)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-progress-progress">
        <rule context="h:progress">
            <report test="ancestor::h:progress"><name/> 要素は、<value-of select="local-name(ancestor::h:progress)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-meter-meter">
        <rule context="h:meter">
            <report test="ancestor::h:meter"><name/> 要素は、<value-of select="local-name(ancestor::h:meter)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-dfn-dfn">
        <rule context="h:dfn">
            <report test="ancestor::h:dfn"><name/> 要素は、<value-of select="local-name(ancestor::h:dfn)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-time-time">
        <rule context="h:time">
            <report test="ancestor::h:time"><name/> 要素は、<value-of select="local-name(ancestor::h:time)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>

    <pattern id="descendant-caption-table">
        <rule context="h:table">
            <report test="ancestor::h:caption"><name/> 要素は、<value-of select="local-name(ancestor::h:caption)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-header-header">
        <rule context="h:header">
            <report test="ancestor::h:header"><name/> 要素は、<value-of select="local-name(ancestor::h:header)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-header-footer">
        <rule context="h:footer">
            <report test="ancestor::h:header"><name/> 要素は、<value-of select="local-name(ancestor::h:header)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-footer-footer">
        <rule context="h:footer">
            <report test="ancestor::h:footer"><name/> 要素は、<value-of select="local-name(ancestor::h:footer)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-footer-header">
        <rule context="h:header">
            <report test="ancestor::h:footer"><name/> 要素は、<value-of select="local-name(ancestor::h:footer)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-label-label">
        <rule context="h:label">
            <report test="ancestor::h:label"><name/> 要素は、<value-of select="local-name(ancestor::h:label)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-annotation-xml-math">
        <rule context="math:*">
            <report test="ancestor::math:annotation-xml[@encoding='application/xhtml+xml' and @name='alternate-representation']"><name/> 要素は、<value-of select="local-name(ancestor::math:annotation-xml[@encoding='application/xhtml+xml' and @name='alternate-representation'])"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="descendant-svgtitle-svg">
        <rule context="svg:*">
            <report test="ancestor::svg:title"><name/> 要素は、<value-of select="local-name(ancestor::svg:title)"/> 要素内に書いてはいけません。</report>
        </rule>
    </pattern>
    
    <pattern id="bdo-dir">
        <rule context="h:bdo">
            <assert test="@dir"><name/> 要素には <value-of select="'dir'"/> 属性を指定しなくてはなりません。</assert>            
        </rule>
    </pattern>

    <pattern id="idrefs-aria-describedby">
        <rule context="*[@aria-describedby]">            
            <assert test="every $idref in tokenize(@aria-describedby,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@aria-describedby"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>

    <pattern id="idrefs-output-for">
        <rule context="h:output[@for]">            
            <assert test="every $idref in tokenize(@for,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@for"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>

    <pattern id="idrefs-aria-flowto">
        <rule context="*[@aria-flowto]">            
            <assert test="every $idref in tokenize(@aria-flowto,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@aria-flowto"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>

    <pattern id="idrefs-aria-labelledby">
        <rule context="*[@aria-labelledby]">            
            <assert test="every $idref in tokenize(@aria-labelledby,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@aria-labelledby"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>

    <pattern id="idrefs-aria-owns">
        <rule context="*[@aria-owns]">            
            <assert test="every $idref in tokenize(@aria-owns,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@aria-owns"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>

    <pattern id="idrefs-aria-controls">
        <rule context="*[@aria-controls]">            
            <assert test="every $idref in tokenize(@aria-controls,'\s+') satisfies (some $elem in $id-set satisfies ($elem/@id eq $idref))"><name path="@aria-controls"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(参照先の ID がありません)。</assert>
        </rule>
    </pattern>
    
    <pattern id="idref-mathml-xref">
        <rule context="math:*[@xref]">
            <assert test="some $elem in $id-set satisfies $elem/@id eq current()/@xref"><name path="@xref"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(ID '<value-of select="current()/@xref"/>' が見つかりません)。</assert>
        </rule>
    </pattern>

    <pattern id="idref-mathml-indenttarget">
        <rule context="math:*[@indenttarget]">
            <assert test="some $elem in $id-set satisfies $elem/@id eq current()/@indenttarget"><name path="@indenttarget"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(ID '<value-of select="current()/@indenttarget"/>' が見つかりません)。</assert>
        </rule>
    </pattern>

    <pattern id="idref-contextmenu">
        <rule context="h:*[@contextmenu]">            
            <assert test="//h:menu[@id = current()/@contextmenu]"><name path="@contextmenu"/> 属性が、参照可能な要素型の要素を指していません。以下の要素型のみ参照できます: <value-of select="replace('h:menu','h:','')"/>。</assert>
        </rule>
    </pattern>
    
    <pattern id="idref-input-list">
        <rule context="h:input[@list]">            
            <assert test="//h:datalist[@id = current()/@list]"><name path="@list"/> 属性が、参照可能な要素型の要素を指していません。以下の要素型のみ参照できます: <value-of select="replace('h:datalist','h:','')"/>。</assert>
        </rule>
    </pattern>
    
    <pattern id="idref-forms-form">
        <rule context="h:*[@form]">            
            <assert test="//h:form[@id = current()/@form]"><name path="@form"/> 属性が、参照可能な要素型の要素を指していません。以下の要素型のみ参照できます: <value-of select="replace('h:form','h:','')"/>。</assert>
        </rule>
    </pattern>

    <pattern id="idref-aria-activedescendant">
        <rule context="*[@aria-activedescendant]">
            <assert test="descendant::*[@id = current()/@aria-activedescendant]">aria-activedescendant 属性は子孫要素を参照しなくてはなりません。</assert>
        </rule>
    </pattern>

    <pattern id="idref-label-for">        
        <rule context="h:label[@for]">
            <assert test="some $elem in $id-set satisfies $elem/@id eq current()/@for and                     (local-name($elem) eq 'button'                   or (local-name($elem) eq 'input' and not($elem/@type='hidden'))                  or local-name($elem) eq 'keygen'                   or local-name($elem) eq 'meter'                  or local-name($elem) eq 'output'                   or local-name($elem) eq 'progress'                   or local-name($elem) eq 'select'                   or local-name($elem) eq 'textarea')">for 属性が参照可能な要素型の要素を指していません。以下の要素型のみ参照できます: button, keygen, meter, output, progress, select, textarea, input (ただし type="hidden" でないもの)。</assert>
        </rule>
    </pattern>
            
    <pattern id="idrefs-headers">        
        <rule context="h:*[@headers]">    
            <let name="table" value="ancestor::h:table"/>
            <assert test="every $idref in tokenize(@headers, '\s+') satisfies (some $elem in $table//h:th satisfies ($elem/@id eq $idref))">headers 属性は、同じ table の th 要素を参照しなくてはなりません。</assert>            
        </rule>
    </pattern> 
    
    <pattern id="idref-trigger-observer">
        <rule context="epub:trigger[@ev:observer]">
            <assert test="some $elem in $id-set satisfies $elem/@id eq current()/@ev:observer"><name path="@ev:observer"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(ID '<value-of select="current()/@ev:observer"/>' が見つかりません)。</assert>
        </rule>
    </pattern>
    
    <pattern id="idref-trigger-ref">
        <rule context="epub:trigger[@ref]">
            <assert test="some $elem in $id-set satisfies $elem/@id eq current()/@ref"><name path="@ref"/> 属性は同一ドキュメント内の要素を参照しなくてはなりません(ID '<value-of select="current()/@ref"/>' が見つかりません)。</assert>
        </rule>
    </pattern>
    
    <pattern id="map.name">
        <rule context="h:map[@name]">   
            <let name="name-set" value="//h:map[@name]"/>
            <assert test="count($name-set[@name = current()/@name]) = 1">map 名 '<value-of select="current()/@name"/>' は重複しています。</assert>
        </rule>
    </pattern>
    
    <pattern id="map.id">
        <rule context="h:map[@id and @name]">
            <assert test="@id = @name">map 要素の id 属性は、name 属性と同じ値を指定しなくてはなりません。</assert>
        </rule>        
    </pattern>
    
    <pattern id="lang-xmllang">
        <rule context="h:*[@lang and @xml:lang]">
            <assert test="lower-case(@xml:lang) = lower-case(@lang)">lang 属性と xml:lang 属性には同じ値を指定しなくてはなりません。</assert>                
        </rule>
    </pattern>
    
    <pattern id="id-unique">
        <rule context="*[@id]">
            <assert test="count($id-set[@id = current()/@id]) = 1">ID '<value-of select="current()/@id"/>' が重複しています。</assert>
        </rule>
    </pattern>
    
    <pattern id="select-multiple">
        <rule context="h:select[not(@multiple)]">
            <report test="count(descendant::h:option[@selected]) &gt; 1">select 要素に multiple 属性が指定されていない場合は、その子要素に、selected 属性が指定された option 要素が複数あってはいけません。</report>
        </rule>
    </pattern> 
    
    <pattern id="track">                
        <rule context="h:track">
            <report test="@label and normalize-space(@label) = ''">track 要素の label 属性の値は空であってはいけません。</report>
            <report test="@default and preceding-sibling::h:track[@default]">メディア要素の子要素に、default 属性が指定された track 要素が複数あってはいけません。</report>            
        </rule>
    </pattern>
    
    <pattern id="ssml-ph">        
        <rule context="*[@ssml:ph]">
            <report test="ancestor::*[@ssml:ph]">ssml:ph 属性は、この属性が指定された要素の子孫要素に対して同時に指定してはいけません。</report>
        </rule>            
    </pattern>
            
    <pattern id="style-scoped">
        <rule context="h:style[ancestor::h:body]">
            <!-- Note: this sch test is at risk as it is fragile and doesnt fully cover the 
            	rules of http://dev.w3.org/html5/spec/single-page.html#attr-style-scoped. 
            	See also https://www.w3.org/Bugs/Public/show_bug.cgi?id=13102 -->
            <assert test="every $elem in preceding-sibling::* satisfies (local-name($elem) eq 'style') or (local-name($elem) eq 'figcaption') ">スコープ化された style 要素は、(要素間の空白や他の style 要素は別として)他のいかなるフローコンテンツよりも手前に書かなくてはなりません。</assert>
        </rule>
    </pattern>
        
    <pattern id="link-sizes">
        <rule context="h:link[@sizes]">
            <assert test="@rel='icon'">sizes 属性を、icon キーワードを属性値に指定した rel 属性を持たない link 要素に指定してはいけません。</assert>
        </rule>
    </pattern>   
    
    <pattern id="meta-charset">
        <rule context="h:meta[@charset]">
            <assert test="count(preceding-sibling::h:meta[@charset]) = 0">charset 属性を持つ meta 要素は、1つのドキュメントに複数書いてはいけません。</assert>
        </rule>
    </pattern>
    
    <pattern id="article-pubdate">
        <rule context="h:article[h:time]">
            <assert test="count(./h:time[@pubdate]) &lt; 2">それぞれの article 要素には、その子要素として pubdate 属性を持った time 要素を複数書いてはいけません。</assert>
        </rule>
    </pattern>
    
    <pattern id="document-pubdate">
        <rule context="h:time[not (ancestor::h:article)]">
            <assert test="count(//h:time[@pubdate and not (ancestor::h:article)]) &lt; 2">それぞれのドキュメントには、pubdate 属性を持った time 要素で祖先要素が article 要素でないものを複数書いてはいけません。</assert>
        </rule>
    </pattern>

    

    

    

    

    
    
    
    
    
    
    <pattern id="svg-fo-re">    
    <rule context="svg:foreignObject[@requiredExtensions]">
        <assert test="@requiredExtensions = 'http://www.idpf.org/2007/ops'">Invalid value (expecting: 'http://www.idpf.org/2007/ops')</assert>
    </rule>
</pattern>
    
</schema>