<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    
    <ns uri="http://www.idpf.org/2007/opf" prefix="opf"/>
    <ns uri="http://purl.org/dc/elements/1.1/" prefix="dc"/>
            
    <pattern id="opf.uid">
        <rule context="opf:package[@unique-identifier]">
            <let name="uid" value="./@unique-identifier"/>
            <assert test="/opf:package/opf:metadata/dc:identifier[@id = $uid]">package 要素の unique-identifier 属性値が dc:identifier 要素の id 属性値を参照していません('<value-of select="$uid"/>' を参照しています)。</assert>
        </rule>    
    </pattern>
    
    <pattern id="opf.dcterms.modified">
        <rule context="opf:metadata">            
            <assert test="count(opf:meta[@property='dcterms:modified' and not(@refines)]) = 1">パッケージには dcterms:modified プロパティを持つ meta 要素が1つ(1つだけ)なくてはなりません。</assert>            
        </rule>        
    </pattern>
    
    <pattern id="opf.dcterms.modified.syntax">
        <rule context="opf:meta[@property='dcterms:modified']">            
            <assert test="matches(normalize-space(.), '^([0-9]{4})-([0-9]{2})-([0-9]{2})T([0-9]{2}):([0-9]{2}):([0-9]{2})Z$')">dcterms:modified の構文が不正です(CCYY-MM-DDThh:mm:ssZ 形式で記述してください)。</assert>            
        </rule>
    </pattern>    
    
    <pattern id="opf.refines.relative">
        <rule context="*[@refines and starts-with(@refines,'#')]">
            <let name="refines-target-id" value="substring(@refines, 2)"/>
            <assert test="//*[@id=$refines-target-id]">refines 属性に指定された参照先の id が見つかりません: '<value-of select="$refines-target-id"/>'</assert>
        </rule>
    </pattern>
    
    <pattern id="opf.itemref">        
        <rule context="opf:spine/opf:itemref[@idref]">    
            <let name="ref" value="./@idref"/>            
            <let name="item" value="//opf:manifest/opf:item[@id = $ref]"/>
            <let name="item-media-type" value="$item/@media-type"/>                                   
            <assert test="$item">itemref 要素の idref 属性値が manifest 内の item 要素の id 属性値を参照していません。</assert>
        </rule>    
    </pattern>
    
    <pattern id="opf.fallback.ref"> 
        <rule context="opf:item[@fallback]">
            <let name="ref" value="./@fallback"/>
            <let name="item" value="/opf:package/opf:manifest/opf:item[@id = $ref]"/>
            <assert test="$item and $item/@id != ./@id">manifest 内の item 要素の fallback 属性は、自身とは別の item 要素の id 属性値を参照しなくてはなりません('<value-of select="$ref"/>' が参照されています)。</assert>
        </rule>            
    </pattern>
        
    <pattern id="opf.media.overlay"> 
        <rule context="opf:item[@media-overlay]">
            <let name="ref" value="./@media-overlay"/>
            <let name="item" value="//opf:manifest/opf:item[@id = $ref]"/>
            <let name="item-media-type" value="$item/@media-type"/>
            <assert test="$item-media-type = 'application/smil+xml'">media-overlay 属性を指定した item 要素の media-type 属性値には 'application/smil+xml' が指定されなくてはなりません('<value-of select="$item-media-type"/>' が指定されています)。</assert>
        </rule>            
    </pattern>
    
    <pattern id="opf.media.overlay.metadata.global"> 
        <rule context="opf:manifest[opf:item[@media-overlay]]">
            <assert test="//opf:meta[@property='media:duration' and not (@refines)]">全体の再生時間を表すための media:duration プロパティを持った meta 要素がありません。</assert>
        </rule>        
    </pattern>
    
    <pattern id="opf.media.overlay.metadata.item">
        <rule context="opf:manifest/opf:item[@media-overlay]">
            <let name="mo-idref" value="@media-overlay"/>
            <let name="mo-item" value="//opf:item[@id = $mo-idref]"/>
            <let name="mo-item-id" value="$mo-item/@id"/>
            <let name="mo-item-uri" value="concat('#', $mo-item-id)"/>
            <assert test="//opf:meta[@property='media:duration' and @refines = $mo-item-uri ]">item 要素に対応する、media:duration プロパティを持った meta 要素がありません。(属性指定に property='media:duration' と refines='<value-of select="$mo-item-uri"/>' を持つ meta 要素が必要です)</assert>
        </rule>
    </pattern>
          
    <pattern id="opf.bindings.handler"> 
        <rule context="opf:bindings/opf:mediaType">
            <let name="ref" value="./@handler"/>
            <let name="item" value="//opf:manifest/opf:item[@id = $ref]"/>
            <let name="item-media-type" value="$item/@media-type"/>
            <assert test="$item-media-type = 'application/xhtml+xml'">bindings 要素内の mediaType 要素の handler 属性から参照されている、マニフェスト項目のメディアタイプは 'application/xhtml+xml' でなくてはなりません。(実際のメディアタイプは '<value-of select="$item-media-type"/>' でした)</assert>
        </rule>            
    </pattern>
          
    <pattern id="opf.toc.ncx"> 
        <rule context="opf:spine[@toc]">
            <let name="ref" value="./@toc"/>            
            <let name="item" value="/opf:package/opf:manifest/opf:item[@id = $ref]"/>
            <let name="item-media-type" value="$item/@media-type"/>
            <assert test="$item-media-type = 'application/x-dtbncx+xml'">spine 要素の toc 属性が参照するマニフェスト項目は NCX マニフェスト項目(メディアタイプが 'application/x-dtbncx+xml')でなくてはなりません。(参照先のメディアタイプは '<value-of select="$item-media-type"/>' でした)</assert>
        </rule>            
    </pattern>    
    
    <pattern id="opf.toc.ncx.2">     
        <rule context="opf:item[@media-type='application/x-dtbncx+xml']">
            <assert test="//opf:spine[@toc]">文書内に NCX が含まれる場合は、spine 要素に toc 属性を指定しなくてはなりません。</assert>
        </rule>    
    </pattern>    
        
    <pattern id="opf.nav.prop"> 
        <rule context="opf:manifest">            
            <let name="item" value="//opf:manifest/opf:item[@properties and (some $token in tokenize(@properties,' ') satisfies (normalize-space($token) eq 'nav'))]"/>            
            <assert test="count($item) = 1">マニフェストには、プロパティに 'nav' を宣言したマニフェスト項目を必ず一つ(一つだけ)、書かなくてはなりません。('nav' を宣言した項目が <value-of select="count($item)"/> 個あります).</assert>
        </rule> 
    </pattern>
    
    <pattern id="opf.nav.type"> 
        <rule context="opf:manifest/opf:item[@properties and (some $token in tokenize(@properties,' ') satisfies (normalize-space($token) eq 'nav'))]">
            <assert test="@media-type = 'application/xhtml+xml'">Navigation Document を表すマニフェスト項目のメディアタイプは 'application/xhtml+xml' でなくてはなりません(指定されたメディアタイプは '<value-of select="@media-type"/>' でした)</assert>
        </rule>    
    </pattern>
    
    <pattern id="opf.cover-image"> 
        <rule context="opf:manifest">            
            <let name="item" value="//opf:manifest/opf:item[@properties and (some $token in tokenize(@properties,' ') satisfies (normalize-space($token) eq 'cover-image'))]"/>            
            <assert test="count($item) &lt; 2">'cover-image' プロパティが指定されたマニフェスト項目が複数あります。('cover-image' アイテムが <value-of select="count($item)"/> 個ありました).</assert>                            
        </rule> 
    </pattern>
    
    <pattern id="id-unique">
    <!-- note: assumes that NCName lexical constraints are tested elsewhere -->
    <let name="id-set" value="//*[@id]"/>
    <rule context="*[@id]">
        <assert test="count($id-set[@id = current()/@id]) = 1">Duplicate ID '<value-of select="current()/@id"/>'</assert>
    </rule>
</pattern>     
         
             
</schema>